%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           hamster-applet
Version:        2.31.91
Release:        1%{?dist}
Summary:        Time tracking applet

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://code.google.com/p/projecthamster/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/hamster-applet/2.31/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# since Fedora isn't shipping Docky it doesn't make any sense including the Docky helpers
Patch0:         hamster-applet-remove-docky-helper.patch

BuildArch:      noarch

BuildRequires:  python-devel pygtk2-devel pygobject2-devel gnome-python2-devel
BuildRequires:  perl(XML::Parser) gnome-python2-applet python-sqlite2
BuildRequires:  gtk2-devel gettext libXScrnSaver-devel intltool gnome-doc-utils
# for gnome-keybindings.pc
BuildRequires:  control-center >= 2.19.4
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme
Requires:       pygtk2, pygobject2, gnome-python2-applet, python-sqlite2
Requires:       gnome-python2-gnome
Requires:       gnome-python2-gconf, gnome-python2-evolution, pycairo
# for /usr/share/control-center/keybindings
Requires:       control-center-filesystem
Requires:       pyxdg


Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/hamster-applet.schemas >/dev/null || :
fi

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/hamster-applet.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/hamster-applet.schemas > /dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%description
Time tracking for masses in GNOME.

%prep
%setup -q
%patch0 -p1


%build
./waf --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%{_libdir} configure build


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
./waf --destdir=%{buildroot} install
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/hamster-time-tracker.desktop
 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{python_sitelib}/hamster
%{_libdir}/bonobo/servers/Hamster_Applet.server
%{_libdir}/hamster-applet
%{_datadir}/hamster-applet
%{_datadir}/dbus-1/services/*
%{_datadir}/icons/hicolor/*/apps/hamster-applet.*
%{_datadir}/gnome-control-center/keybindings/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gnome/help/hamster-applet

%{_sysconfdir}/gconf/schemas/hamster-applet.schemas


%changelog
* Tue Aug 31 2010 Mads Villadsen <maxx@krakoa.dk> - 2.31.91-1
- Update to 2.31.91
- Data integrity bugfixes
- Updated translations
- Add pyxdg to Requires (fixes bug #628410)

* Sun Aug 22 2010 Mads Villadsen <maxx@krakoa.dk> - 2.31.90-1
- Update to 2.31.90
- Changes in 2.31.90: 
  - Maintaining selection on refresh in a more sane manner
  - Self-monitor the database not only for updates but also for remove/create (solves problems with some synchronization tools)
  - Fixed the global hotkey.
- Changes in 2.31.6:
  - The top graph in overview is now interactive and allows zooming in and out
  - sqlite utf-8 case sensitivity workarounds for queries
  - Using full text search in the overview window now
  - Hopefully activity trees now behave better on refresh

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.31.5-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 21 2010 Mads Villadsen <maxx@krakoa.dk> - 2.31.5-2
- Change package to noarch

* Wed Jul 21 2010 Mads Villadsen <maxx@krakoa.dk> - 2.31.5-1
- Update to 2.31.5
- Build system has been changed to use waf
- Overview gets a menu, drops toolbars and now supports date range browsing
- Adjustments to starts and ends graph in statistics (should be more accurate)
- Performance updates in graphics
- HTML report was looking in the wrong place for the template
- Adjustments for custom widgets to better work with themes
- If dialog windows are called from commandline, make sure they shut down properly
- Updated translations


* Tue May 25 2010 Mads Villadsen <maxx@krakoa.dk> - 2.31.2-1
- Update to latest unstable release
- Bugfixes
- Optional integration with gtg (via preferences)

* Mon Apr 26 2010 Mads Villadsen <maxx@krakoa.dk> - 2.30.1-1
- Update to 2.30.1
- Fixed rounding errors in totals
- Standalone app can now be closed using Ctrl-w
- Database file change monitor now follows symlinks
- Updated translations

* Thu Apr  1 2010 Mads Villadsen <maxx@krakoa.dk> - 2.30.0.1-1
- Update to 2.30.0.1
- Updated translations.
- Properly use translations in standalone mode.

* Mon Mar 29 2010 Mads Villadsen <maxx@krakoa.dk> - 2.30.0-1
- Update to stable release 2.30.0

* Tue Mar 09 2010 Bastien Nocera <bnocera@redhat.com> 2.29.92-1
- Update to 2.29.92

* Tue Feb 23 2010 Mads Villadsen <maxx@krakoa.dk> - 2.29.91-1
- Update to 2.29.91

* Tue Feb  9 2010 Mads Villadsen <maxx@krakoa.dk> - 2.29.90-1
- Update to 2.29.90

* Tue Jan 26 2010 Mads Villadsen <maxx@krakoa.dk> - 2.29.6-1
- Update to 2.29.6

* Tue Jan 12 2010 Mads Villadsen <maxx@krakoa.dk> - 2.29.5-1
- Update to 2.29.5

* Fri Dec 25 2009 Mads Villadsen <maxx@krakoa.dk> - 2.29.4-1
- Update to 2.29.4
- Rework some dependencies towards HalRemoval (https://fedoraproject.org/wiki/Features/HalRemoval)

* Tue Dec 01 2009 Bastien Nocera <bnocera@redhat.com> 2.29.3-1
- Update to 2.29.3

* Wed Nov 18 2009 Mads Villadsen <maxx@krakoa.dk> - 2.29.2-1
- Update to latest upstream development release
- Change RPM Group to Applications/Productivity

* Tue Oct 20 2009 Mads Villadsen <maxx@krakoa.dk> - 2.28.1-1
- Update to latest upstream release

* Tue Sep 22 2009 Mads Villadsen <maxx@krakoa.dk> - 2.28.0-1
- Update to 2.28.0

* Mon Sep  7 2009 Matthias Clasen <mclasen@fredhat.com> - 2.27.92-1
- Update to 2.27.92

* Tue Aug 11 2009 Matthias Clasen <mclasen@fredhat.com> - 2.27.90-1
- Update to 2.27.90

* Tue Jul 28 2009 Mads Villadsen <maxx@krakoa.dk> - 2.27.5-1
- Update to latest development release
- Better autocomplete
- More skeptic on parsing time
- Legend in overview is sized proportionally to screen size, allowing larger labels
- Updated translations


* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.27.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Mads Villadsen <maxx@krakoa.dk> - 2.27.4-1
- Update to latest development release
- Better autocompletion
- Better dbus-support
- Export to different formats (TSV, XML, iCal)
- Task filtering
- Better statistics

* Thu May 14 2009 Mads Villadsen <maxx@krakoa.dk> - 2.27.1-1
- Update to latest development release
- Remove pygtk2-libglade from Requires as hamster-applet has been ported to gtkbuilder

* Mon Mar 16 2009 Mads Villadsen <maxx@krakoa.dk> - 2.26.0-1
- Update to new stable version
- Final fixes to utf-8 and Python 2.6 sqlite

* Thu Mar  5 2009 Mads Villadsen <maxx@localhost.localdomain> - 2.25.92-1
- Update to latest upstream release
- Better statistics
- Better keyboard support
- Improved python 2.6 support

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.25.90-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb  5 2009 Mads Villadsen <maxx@krakoa.dk> - 2.25.90-1
- Update to latest upstream version to hopefully fix bug #477648

* Mon Dec 22 2008 Mads Villadsen <maxx@krakoa.dk> - 2.25.3-3
- Update to latest upstream release

* Sun Dec  7 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.24.2-3
- Rebuild for Python 2.6

* Mon Dec  1 2008 Mads Villadsen <maxx@krakoa.dk> - 2.24.2-2
- Update to latest upstream release

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.24.0-2
- Rebuild for Python 2.6

* Tue Sep 23 2008 Mads Villadsen <maxx@krakoa.dk> - 2.24.0-1
- Update to latest upstream release

* Tue Sep  9 2008 Mads Villadsen <maxx@krakoa.dk> - 2.23.92-1
- Update to latest upstream release

* Wed Sep  3 2008 Mads Villadsen <maxx@krakoa.dk> - 2.23.91-1
- Update to latest upstream release

* Tue Aug 26 2008 Mads Villadsen <maxx@krakoa.dk> - 2.23.90-1
- Update to latest upstream release
- Change gnome-python2 requires as per bug #460007

* Tue Aug 5 2008 Mads Villadsen <maxx@krakoa.dk> - 2.23.6-5
- Change to using python_sitearch to correctly catch lib64 dir on x86_64 arch

* Tue Aug 5 2008 Mads Villadsen <maxx@krakoa.dk> - 2.23.6-4
- Change control-center-filesystem to Requires, add control-center to BuildRequires

* Tue Aug 5 2008 Mads Villadsen <maxx@krakoa.dk> - 2.23.6-3
- Add control-center-filesystem to BuildRequires

* Tue Aug 5 2008 Mads Villadsen <maxx@krakoa.dk> - 2.23.6-2
- Add intltool to BuildRequires

* Tue Aug 5 2008 Mads Villadsen <maxx@krakoa.dk> - 2.23.6-1
- Update to latest upstream release

* Wed Jul 23 2008 Mads Villadsen <maxx@krakoa.dk> - 0.6.2.1-1
- Update to latest upstream release
- Fixed problems with simple report
- Now you can edit facts in overview by double clicking
- Updated translations

* Wed Jun 11 2008 Mads Villadsen <maxx@krakoa.dk> - 0.6.1-1
- Update to latest upstream release
- Not stealing middle-click to move applet
- Correct label orientation on vertical panels
- Fixed fact pushing on overlap

* Mon Jun 9 2008 Mads Villadsen <maxx@krakoa.dk> - 0.6-1
- Update to latest upstream release
- Simple reporting via Overview dialog

* Sun May 25 2008 Mads Villadsen <maxx@krakoa.dk> - 0.5-1
- Update to latest upstream release
- Preferences are now editable via user interface
- Added option to stop tracking on shutdown
- Current activity is now showing up in totals

* Mon May 5 2008 Mads Villadsen <maxx@krakoa.dk> - 0.4-1
- Update to latest upstream release
- Fact editing functionality

* Sun May 4 2008 Mads Villadsen <maxx@krakoa.dk> - 0.3-1
- Update to latest upstream release

* Mon Apr 28 2008 Mads Villadsen <maxx@krakoa.dk> - 0.2-3
- Depend on gnome-python2-evolution instead of evolution-python

* Sat Apr 26 2008 Mads Villadsen <maxx@krakoa.dk> - 0.2-2
- Add missing libXScrnSaver-devel to BuildRequires

* Fri Apr 25 2008 Mads Villadsen <maxx@krakoa.dk> - 0.2-1
- Update to new upstream release

* Mon Apr 21 2008 Mads Villadsen <maxx@krakoa.dk> - 0.1.7.4-3
- Add hicolor-icon-theme as a Requires
- Add lots of other Requires as well - it should now run as well as build

* Sun Apr 20 2008 Mads Villadsen <maxx@krakoa.dk> - 0.1.7.4-2
- Split BuildRequires into more lines
- Don't mark the schema file as a config file

* Fri Apr 18 2008 Mads Villadsen <maxx@krakoa.dk> - 0.1.7.4-1
- New upstream version
- Updated license (as per http://mail.gnome.org/archives/desktop-devel-list/2008-April/msg00173.html)
- Added missing BuildRequires
- Correctly use python_sitelib instead of python_sitearch

* Wed Apr 16 2008 Mads Villadsen <maxx@krakoa.dk> - 0.1.7.3-1
- First release
